package com.bcxin.ins.third.build.yangguang.yggc;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

/**
 * 阳光工程投标保证保险，xml请求头，实际是json
 * Created by Apple on 2017/7/19.
 */
public class DBXmlHead {
    private String sendName; //用户名
    private String policyCount; //保单条数
    private String operateType; //操作类型
    private String sendPwd;  //用户密码
    private String sendSeq;  //唯一标识符UUID，每个消息都应当有他自己的一个唯一标识符
    private String sendTime; //请求发送时间
    private String modeFlag;  //1 TB表，2 短险表
    private String sysFlag;  //系统标识
    private String transCode; //交易码
    private String orderType;


    public static DBXmlHead getDemo() {
        return new DBXmlHead("demo");
    }

    public DBXmlHead() {
    }

    private DBXmlHead(String demo) {
//        this.sendName = "BXBHW";
//        this.policyCount = "1";
//        this.operateType = "DZQUERYPOLICY";
//        this.sendPwd = "BXBHW123";
//        this.sendSeq = UUID.randomUUID().toString();
//        this.sendTime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());//设置日期格式
//        this.modeFlag = "34";
//        this.sysFlag = "BXBHW";
//        this.transCode = "SV000332";
//        this.orderType = "NONSEEFEE";
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getSendName() {
        return sendName;
    }

    public void setSendName(String sendName) {
        this.sendName = sendName;
    }

    public String getPolicyCount() {
        return policyCount;
    }

    public void setPolicyCount(String policyCount) {
        this.policyCount = policyCount;
    }

    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

    public String getSendPwd() {
        return sendPwd;
    }

    public void setSendPwd(String sendPwd) {
        this.sendPwd = sendPwd;
    }

    public String getSendSeq() {
        return sendSeq;
    }

    public void setSendSeq(String sendSeq) {
        this.sendSeq = sendSeq;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public String getModeFlag() {
        return modeFlag;
    }

    public void setModeFlag(String modeFlag) {
        this.modeFlag = modeFlag;
    }

    public String getSysFlag() {
        return sysFlag;
    }

    public void setSysFlag(String sysFlag) {
        this.sysFlag = sysFlag;
    }

    public String getTransCode() {
        return transCode;
    }

    public void setTransCode(String transCode) {
        this.transCode = transCode;
    }
}
